import { useTranslation } from "react-i18next";
import { lazy, Suspense } from 'react';
import { Spin } from "antd";
import DeleteModel from './Model/Delete'
const Table = lazy(() => import('./Table'));

const TableHeader = () => {
  const [t] = useTranslation();
  return (
    <div className="TableWithHeader">
      <Suspense fallback={<Spin/>}>
      <header>
        <h6>
          {t("models.Question")}
        </h6>

      </header>
        <Table />
      </Suspense>
      <DeleteModel/>

    </div>
  );
};

export default TableHeader;
